> For the complete documentation index, see [llms.txt](https://docs.platform9.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform9.com/private-cloud-director/2025.2/reference/cloud-ctl-command-line.md).

# cloud-ctl

`cloud-ctl` is a command line tool that enables install and uninstall of Platform9 host agent and related software components on your hosts.

This document provides reference for commands supported by `cloud-ctl`.

## Commands

`cloud-ctl` supports following commands.

### prep-node

Sets up prerequisites & prepares a node to use with <code class="expression">space.vars.product\_name</code>.

**Parameters:**

* user (string) - ssh username for the host(s)
* password (string) - ssh password for the host(s) (use 'single quotes' to specify the password)
* ssh-key (string) - ssh key file for connecting to the host(s)
* ip \[] (string) - IP address(es) of the host(s) to be prepared
* skip-checks (bool) - Will skip optional checks if true
* bridge-interface-mapping \[] (string) - List of OVS bridges to be created with their physical interface names
* sudo-pass - sudo password for user on remote host
* remove-existing-pkgs - Will remove previous installation if found (default false)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform9.com/private-cloud-director/2025.2/reference/cloud-ctl-command-line.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
